# Ignorio
*Manage your .gitignore with ease!*


**Ignorio** is a simple package to manage your [git exclusions](https://git-scm.com/docs/gitignore). This command line application helps you to download a template from [gitignore.io](http://gitignore.io/) without going to the site using the site's [API](https://www.gitignore.io/api/)

# Usage

## Add a language exclusion list
* You can add multiple languages to the exclusions list, just make sure they're listed on the supported list.

![](assets/add_lang.png)

## Append a language to the exclusion list
* You don't have to overwrite your current exclusion list, if you have added Python and SublimeText before then you can go right ahead and append Ruby to it.

![](assets/append_lang.png)

## Show supported languages
* Supported list of languages by gitignore.io, you can easily grep this data if you need to find a determined language.

![](assets/show_supported.png)

## Verbose for the paranoids
* And if you're paranoid enough or just like to see more data displayed on your terminal, well, check the `-v` flag.

![](assets/verbosity.png)

# How to contribute
* Fork it
* Make changes
* Make a pull request to the **develop** branch.

# Like the project?
If you like the project and would like to chip in a dolar or two, go ahead and do it here.

<a href="https://www.paypal.me/orozcofranccesco">
  <img height="32" src="assets/paypal_badge.png" />
</a> <a href="https://www.buymeacoffee.com/franccesco" target="_blank"><img src="https://www.buymeacoffee.com/assets/img/custom_images/white_img.png" alt="Buy Me A Coffee" style="height: auto !important;width: auto !important;" ></a> <a href='https://ko-fi.com/V7V8AXFE' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://az743702.vo.msecnd.net/cdn/kofi2.png?v=0' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>
